HttpTunnelServlet (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.http.HttpTunnelServlet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.http
Class HttpTunnelServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.codehaus.activemq.transport.http.HttpTunnelServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

public class HttpTunnelServlet
extends HttpServlet

Version:
  $Revision: 1.2 $
See Also:
  Serialized Form

Constructor Summary
`HttpTunnelServlet()`

Method Summary
`protected HttpServerTransportChannel` | `createTransportChannel()`
`protected void` | `doGet(HttpServletRequest request, HttpServletResponse response)`
`protected void` | `doPost(HttpServletRequest request, HttpServletResponse response)`
`protected HttpServerTransportChannel` | `getTransportChannel(HttpServletRequest request)`
`void` | `init()`
`protected void` | `keepAlivePing(HttpServerTransportChannel channel)` Disable this channel from being auto-disconnected after a timeout period
`protected String` | `readRequestBody(HttpServletRequest request)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpTunnelServlet

    public HttpTunnelServlet()

Method Detail

### init

    public void init()
              throws ServletException

  Throws:
    `ServletException`

### doGet

    protected void doGet(HttpServletRequest request,
                         HttpServletResponse response)
                  throws ServletException,
                         IOException

  Throws:
    `ServletException`
    `IOException`

### doPost

    protected void doPost(HttpServletRequest request,
                          HttpServletResponse response)
                   throws ServletException,
                          IOException

  Throws:
    `ServletException`
    `IOException`

### readRequestBody

    protected String readRequestBody(HttpServletRequest request)
                              throws IOException

  Throws:
    `IOException`

### getTransportChannel

    protected HttpServerTransportChannel getTransportChannel(HttpServletRequest request)

### keepAlivePing

    protected void keepAlivePing(HttpServerTransportChannel channel)

  Disable this channel from being auto-disconnected after a timeout period

### createTransportChannel

    protected HttpServerTransportChannel createTransportChannel()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.